libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

dvb_table_eit Struct Reference
Digital TV table parsing

DVB EIT table. More...

`#include <eit.h>`

## Data Fields
struct dvb_table_header | header
uint16_t | transport_id
uint16_t | network_id
uint8_t | last_segment
uint8_t | last_table_id
struct dvb_table_eit_event * | event

## Detailed Description

DVB EIT table.

Parameters

  header | struct dvb_table_header content
  transport_id | transport id
  network_id | network id
  last_segment | last segment
  last_table_id | last table id
  event | pointer to struct dvb_table_eit_event

This structure is used to store the original EIT table, converting the integer fields to the CPU endianness.

Everything after dvb_table_eit::event (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 146 of file eit.h.

## Field Documentation

## ◆ event

struct dvb_table_eit_event* dvb_table_eit::event

Definition at line 152 of file eit.h.

## ◆ header

struct dvb_table_header dvb_table_eit::header

Definition at line 147 of file eit.h.

## ◆ last_segment

uint8_t dvb_table_eit::last_segment

Definition at line 150 of file eit.h.

## ◆ last_table_id

uint8_t dvb_table_eit::last_table_id

Definition at line 151 of file eit.h.

## ◆ network_id

uint16_t dvb_table_eit::network_id

Definition at line 149 of file eit.h.

## ◆ transport_id

uint16_t dvb_table_eit::transport_id

Definition at line 148 of file eit.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/eit.h